# Copyright © 2022 Arrikto Inc.  All Rights Reserved.

"""Retrieve the logs of a Rok API task."""

from rok_gw_client import RokClient

# ACCOUNT = "kubeflow-user"
BUCKET = "Snapshots"
TASK_ID = "5ce75fb71fdc43478d4c8909e4dbe6bf"

# Initialize the Rok client. Don't specify the `account` keyword argument,
# so the client uses the namespace of the current pod by default.
client = RokClient()

# Retrieve the task and its subtasks
task = client.task_get(BUCKET, TASK_ID, subtasks=True)


# Print the logs of the task and its subtasks
def print_logs(task):
    print("Logs for task '%s':" % task["id"])
    for line in task["log"]:
        print(line["time"], line["level"], line["msg"])
    for subtask in task["subtasks"]:
        print_logs(subtask)


print_logs(task)
